
%global meadversion 2.10.4
%global namedversion 2.10.4.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jackson-jaxrs-providers}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.10.4.redhat-00001

Name:           %{?scl_prefix}jackson-jaxrs-providers
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jackson JAX-RS
Group:          Development/Java

%if %with mead
Source100: jackson-jaxrs-providers-2.10.4.redhat-00001-project-sources.tar.gz
Source102: jackson-datatype-jaxrs-2.10.4.redhat-00001-javadoc.jar
Source103: jackson-jaxrs-cbor-provider-2.10.4.redhat-00001-javadoc.jar
Source104: jackson-jaxrs-smile-provider-2.10.4.redhat-00001-no-metainf-services.jar
Source105: jackson-jaxrs-xml-provider-2.10.4.redhat-00001-no-metainf-services.jar
Source106: jackson-jaxrs-smile-provider-2.10.4.redhat-00001-javadoc.jar
Source107: jackson-jaxrs-json-provider-2.10.4.redhat-00001-no-metainf-services.jar
Source108: jackson-datatype-jaxrs-2.10.4.redhat-00001-sources.jar
Source109: jackson-jaxrs-smile-provider-2.10.4.redhat-00001.pom
Source110: jackson-jaxrs-json-provider-2.10.4.redhat-00001-javadoc.jar
Source111: jackson-jaxrs-cbor-provider-2.10.4.redhat-00001.pom
Source112: jackson-jaxrs-providers-2.10.4.redhat-00001.pom
Source113: jackson-jaxrs-xml-provider-2.10.4.redhat-00001.pom
Source114: jackson-jaxrs-cbor-provider-2.10.4.redhat-00001.jar
Source115: jackson-jaxrs-yaml-provider-2.10.4.redhat-00001-sources.jar
Source116: jackson-jaxrs-yaml-provider-2.10.4.redhat-00001-no-metainf-services.jar
Source117: jackson-jaxrs-xml-provider-2.10.4.redhat-00001-javadoc.jar
Source118: jackson-jaxrs-base-2.10.4.redhat-00001-javadoc.jar
Source119: jackson-datatype-jaxrs-2.10.4.redhat-00001.jar
Source120: jackson-jaxrs-yaml-provider-2.10.4.redhat-00001.jar
Source121: jackson-jaxrs-base-2.10.4.redhat-00001.pom
Source122: jackson-jaxrs-xml-provider-2.10.4.redhat-00001.jar
Source123: jackson-jaxrs-yaml-provider-2.10.4.redhat-00001-javadoc.jar
Source124: jackson-jaxrs-yaml-provider-2.10.4.redhat-00001.pom
Source125: jackson-jaxrs-xml-provider-2.10.4.redhat-00001-sources.jar
Source126: jackson-jaxrs-cbor-provider-2.10.4.redhat-00001-sources.jar
Source127: jackson-jaxrs-json-provider-2.10.4.redhat-00001.jar
Source128: jackson-jaxrs-smile-provider-2.10.4.redhat-00001-sources.jar
Source129: jackson-jaxrs-base-2.10.4.redhat-00001.jar
Source130: jackson-jaxrs-json-provider-2.10.4.redhat-00001-sources.jar
Source131: jackson-jaxrs-cbor-provider-2.10.4.redhat-00001-no-metainf-services.jar
Source132: jackson-jaxrs-json-provider-2.10.4.redhat-00001.pom
Source133: jackson-datatype-jaxrs-2.10.4.redhat-00001.pom
Source134: jackson-jaxrs-base-2.10.4.redhat-00001-sources.jar
Source135: jackson-jaxrs-smile-provider-2.10.4.redhat-00001.jar
Source136: jackson-datatype-jaxrs-2.10.4.redhat-00001-no-metainf-services.jar
%endif

License:        ASL 2.0
URL:            http://wiki.fasterxml.com/JacksonHome
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jackson-jaxrs-providers-%{namedversion}-%{release}-root

%description
Parent for Jackson JAX-RS providers.

%package -n %{?scl_prefix}jackson-jaxrs-base
Summary:        Jackson-JAXRS-base
Group:          Development/Java

%if 0
Requires:       %{?scl_prefix_eap}jackson-core = %{epoch}:%{version}
Requires:       %{?scl_prefix_eap}jackson-databind = %{epoch}:%{version}
%endif

%description -n %{?scl_prefix}jackson-jaxrs-base
Pile of code that is shared by all Jackson-based JAX-RS providers.

%package -n %{?scl_prefix}jackson-jaxrs-cbor-provider
Summary:        Jackson-JAXRS-CBOR
Group:          Development/Java

%if 0
Requires:       %{?scl_prefix_eap}jackson-jaxrs-base = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}jackson-core = %{epoch}:%{version}
Requires:       %{?scl_prefix_eap}jackson-databind = %{epoch}:%{version}
Requires:       %{?scl_prefix_eap}jackson-dataformat-cbor = %{epoch}:%{version}
Requires:       %{?scl_prefix_eap}jackson-module-jaxb-annotations = %{epoch}:%{version}
%endif

%description -n %{?scl_prefix}jackson-jaxrs-cbor-provider
Functionality to handle CBOR encoded input/output for JAX-RS implementations
(like Jersey and RESTeasy) using standard Jackson data binding.

%package -n %{?scl_prefix}jackson-jaxrs-json-provider
Summary:        Jackson-JAXRS-JSON
Group:          Development/Java

%if 0
Requires:       %{?scl_prefix_eap}jackson-jaxrs-base = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}jackson-core = %{epoch}:%{version}
Requires:       %{?scl_prefix_eap}jackson-databind = %{epoch}:%{version}
Requires:       %{?scl_prefix_eap}jackson-module-jaxb-annotations = %{epoch}:%{version}
%endif

%description -n %{?scl_prefix}jackson-jaxrs-json-provider
Functionality to handle JSON input/output for JAX-RS implementations (like
Jersey and RESTeasy) using standard Jackson data binding.

%package -n %{?scl_prefix}jackson-jaxrs-smile-provider
Summary:        Jackson-JAXRS-Smile
Group:          Development/Java

%if 0
Requires:       %{?scl_prefix_eap}jackson-jaxrs-base = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}jackson-core = %{epoch}:%{version}
Requires:       %{?scl_prefix_eap}jackson-databind = %{epoch}:%{version}
Requires:       %{?scl_prefix_eap}jackson-dataformat-smile = %{epoch}:%{version}
Requires:       %{?scl_prefix_eap}jackson-module-jaxb-annotations = %{epoch}:%{version}
%endif

%description -n %{?scl_prefix}jackson-jaxrs-smile-provider
Functionality to handle Smile (binary JSON) input/output for JAX-RS
implementations (like Jersey and RESTeasy) using standard Jackson data binding.

%package -n %{?scl_prefix}jackson-jaxrs-xml-provider
Summary:        Jackson-JAXRS-XML
Group:          Development/Java

%if 0
Requires:       %{?scl_prefix_eap}jackson-jaxrs-base = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}jackson-core = %{epoch}:%{version}
Requires:       %{?scl_prefix_eap}jackson-databind = %{epoch}:%{version}
Requires:       %{?scl_prefix_eap}jackson-dataformat-xml = %{epoch}:%{version}
Requires:       %{?scl_prefix_eap}jackson-module-jaxb-annotations = %{epoch}:%{version}
Requires:       %{?scl_prefix_eap}stax2-api >= 0:3.1.1
Requires:       %{?scl_prefix_eap}woodstox-core-asl >= 0:4.4.0
%endif

%description -n %{?scl_prefix}jackson-jaxrs-xml-provider
Functionality to handle XML input/output for JAX-RS implementations (like Jersey
and RESTeasy) using standard Jackson data binding.

%if %with javadoc
%%package javadoc
Summary:        Javadoc for jackson-jaxrs-providers
Group:          Development/Java

BuildRequires:  unzip

%%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jackson-jaxrs-providers-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jackson-jaxrs-base-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-jaxrs-base-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-jaxrs-base-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-jaxrs-base-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jackson-jaxrs-base-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-jaxrs-base-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-jaxrs-cbor-provider-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-jaxrs-cbor-provider-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-jaxrs-cbor-provider-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-jaxrs-cbor-provider-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jackson-jaxrs-cbor-provider-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-jaxrs-cbor-provider-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-jaxrs-json-provider-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-jaxrs-json-provider-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-jaxrs-json-provider-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-jaxrs-json-provider-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jackson-jaxrs-json-provider-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-jaxrs-json-provider-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-jaxrs-smile-provider-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-jaxrs-smile-provider-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-jaxrs-smile-provider-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-jaxrs-smile-provider-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jackson-jaxrs-smile-provider-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-jaxrs-smile-provider-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-jaxrs-xml-provider-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-jaxrs-xml-provider-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-jaxrs-xml-provider-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-jaxrs-xml-provider-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jackson-jaxrs-xml-provider-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-jaxrs-xml-provider-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jackson-jaxrs-providers-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jackson-jaxrs-providers-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jackson-jaxrs-providers-%{namedversion} -x META-INF/\*
%{__ln_s} jackson-jaxrs-providers-%{namedversion} %{buildroot}%{_javadocdir}/jackson-jaxrs-providers
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix_eap}jackson-jaxrs-base
%defattr(0644,root,root,0755)
%doc README.md LICENSE
%{_javadir}/jackson-jaxrs-base-%{namedversion}.jar
%{_javadir}/jackson-jaxrs-base.jar
%if %with javadoc
%{_javadir}/jackson-jaxrs-base-%{namedversion}-javadoc.jar
%{_javadir}/jackson-jaxrs-base-javadoc.jar
%else
%exclude %{_javadir}/jackson-jaxrs-base-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jackson-jaxrs-base-javadoc.jar
%endif
%{_javadir}/jackson-jaxrs-base-%{namedversion}-sources.jar
%{_javadir}/jackson-jaxrs-base-sources.jar

%files -n %{?scl_prefix_eap}jackson-jaxrs-cbor-provider
%defattr(0644,root,root,0755)
%{_javadir}/jackson-jaxrs-cbor-provider-%{namedversion}.jar
%{_javadir}/jackson-jaxrs-cbor-provider.jar
%if %with javadoc
%{_javadir}/jackson-jaxrs-cbor-provider-%{namedversion}-javadoc.jar
%{_javadir}/jackson-jaxrs-cbor-provider-javadoc.jar
%else
%exclude %{_javadir}/jackson-jaxrs-cbor-provider-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jackson-jaxrs-cbor-provider-javadoc.jar
%endif
%{_javadir}/jackson-jaxrs-cbor-provider-%{namedversion}-sources.jar
%{_javadir}/jackson-jaxrs-cbor-provider-sources.jar

%files -n %{?scl_prefix_eap}jackson-jaxrs-json-provider
%defattr(0644,root,root,0755)
%{_javadir}/jackson-jaxrs-json-provider-%{namedversion}.jar
%{_javadir}/jackson-jaxrs-json-provider.jar
%if %with javadoc
%{_javadir}/jackson-jaxrs-json-provider-%{namedversion}-javadoc.jar
%{_javadir}/jackson-jaxrs-json-provider-javadoc.jar
%else
%exclude %{_javadir}/jackson-jaxrs-json-provider-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jackson-jaxrs-json-provider-javadoc.jar
%endif
%{_javadir}/jackson-jaxrs-json-provider-%{namedversion}-sources.jar
%{_javadir}/jackson-jaxrs-json-provider-sources.jar

%files -n %{?scl_prefix_eap}jackson-jaxrs-smile-provider
%defattr(0644,root,root,0755)
%{_javadir}/jackson-jaxrs-smile-provider-%{namedversion}.jar
%{_javadir}/jackson-jaxrs-smile-provider.jar
%if %with javadoc
%{_javadir}/jackson-jaxrs-smile-provider-%{namedversion}-javadoc.jar
%{_javadir}/jackson-jaxrs-smile-provider-javadoc.jar
%else
%exclude %{_javadir}/jackson-jaxrs-smile-provider-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jackson-jaxrs-smile-provider-javadoc.jar
%endif
%{_javadir}/jackson-jaxrs-smile-provider-%{namedversion}-sources.jar
%{_javadir}/jackson-jaxrs-smile-provider-sources.jar

%files -n %{?scl_prefix_eap}jackson-jaxrs-xml-provider
%defattr(0644,root,root,0755)
%{_javadir}/jackson-jaxrs-xml-provider-%{namedversion}.jar
%{_javadir}/jackson-jaxrs-xml-provider.jar
%if %with javadoc
%{_javadir}/jackson-jaxrs-xml-provider-%{namedversion}-javadoc.jar
%{_javadir}/jackson-jaxrs-xml-provider-javadoc.jar
%else
%exclude %{_javadir}/jackson-jaxrs-xml-provider-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jackson-jaxrs-xml-provider-javadoc.jar
%endif
%{_javadir}/jackson-jaxrs-xml-provider-%{namedversion}-sources.jar
%{_javadir}/jackson-jaxrs-xml-provider-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jackson-jaxrs-providers-%{namedversion}
%{_javadocdir}/jackson-jaxrs-providers
%endif

%changelog
* Wed May 20 2020 Yong Yang <yyang@redhat.com> - 2.10.4-1.redhat_00001.1
- RPM wrapper build 2.10.4.redhat-00001

* Tue Nov 19 2019 Yong Yang <yyang@redhat.com> - 2.10.0-1.redhat_00002.1
- RPM wrapper build 2.10.0.redhat-00002

* Tue Nov 19 2019 Yong Yang <yyang@redhat.com> - 2.10.0-1.redhat_00002.1
- RPM wrapper build 2.10.0.redhat-00002

* Tue Nov 19 2019 Yong Yang <yyang@redhat.com> - 2.9.10-1.redhat_00003.1
- RPM wrapper build 2.10.0.redhat-00002

* Thu Sep 12 2019 Permaine Cheung <pcheung@redhat.com> - 2.9.9-2.redhat_00001.1
- Remove version tied Requires for wildfly building

* Wed Mar 06 2019 Permaine Cheung <pcheung@redhat.com> - 2.9.8-2.redhat_00004.1
- 2.9.8.redhat-00004

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 2.9.5-2.redhat_2.1
- Rewrap for 7.2.0

* Thu May 24 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.9.5-1.redhat_2.1
- upgrade to 2.9.5.redhat-2

* Tue Jan 30 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.8.11-1.redhat_1.1
- upgrade to 2.8.11.redhat-1

* Wed Jun 28 2017 Petr Sakar <psakar@redhat.com> - 2.8.9-1.redhat_1.1
- upgrade to 2.8.9.redhat-1

* Mon Feb 06 2017 Petr Sakar <psakar@redhat.com> - 2.8.6-1.redhat_1.1
- upgrade to 2.8.6.redhat-1

* Mon Oct 17 2016 Filip Kujikis <fkujikis@redhat.com> - 2.8.3-1.redhat_1.1
- prod build for upstream tag jackson-jaxrs-providers-2.8.3

* Thu Aug 11 2016 Petr Sakar <psakar@redhat.com> - 2.7.4-1.redhat_1.1
- upgrade to 2.7.4.redhat-1

* Tue Oct 27 2015 David Walluck <dwalluck@redhat.com> - 2.5.4-1.redhat_1.1
- 2.5.4

* Wed Aug 05 2015 David Walluck <dwalluck@redhat.com> - 2.5.2-1.redhat_1.1
- 2.5.2

* Mon Jun 15 2015 David Walluck <dwalluck@redhat.com> - 2.5.1-2.redhat_1.1
- fix Requires

* Thu Apr 09 2015 David Walluck <dwalluck@redhat.com> - 2.5.1-1.redhat_1.1
- fix macros

* Thu Apr 09 2015 David Walluck <dwalluck@redhat.com> - 2.5.1-1.redhat_1.1
- release

